setlocal spell
setlocal syntax=markdown.pandoc

let g:pandoc#modules#disabled               = ["folding"]
let g:pandoc#filetypes#handled              = ["pandoc", "markdown"]
let g:pandoc#filetypes#pandoc_markdown      = 1
let g:pandoc#syntax#conceal#use             = 0
let g:pandoc#syntax#conceal#urls            = 0
let g:pandoc#keyboard#sections#header_style = "a"
let g:pandoc#keyboard#use_default_mappings  = 1
let g:pandoc#compiler#command               = "pandoc"
let g:pandoc#formatting#textwidth           = 79
let g:pandoc#formatting#mode                = "hA"
let g:pandoc#completion#bib#mode            = 'citeproc'
let g:pandoc#syntax#codeblocks#embeds#langs = ["c", "rust", "haskell", "literatehaskell=lhaskell", "bash=sh"]
